Package com.google.protobuf

# Class DebugFormat

java.lang.Object
com.google.protobuf.DebugFormat

public final class DebugFormat extends Object
Provides an explicit API for unstable, redacting debug output suitable for debug logging. This implementation is based on TextFormat, but should not be parsed.

## Method Summary

Modifier and Type
Method
Description
`Object`
`lazyToString(MessageOrBuilder message)`
`Object`
`lazyToString(UnknownFieldSet fields)`
`static DebugFormat`
`multiline()`
`static DebugFormat`
`singleLine()`
`String`
`toString(Descriptors.FieldDescriptor field, Object value)`
`String`
`toString(MessageOrBuilder message)`
`String`
`toString(UnknownFieldSet fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### singleLine

public static DebugFormat singleLine()

### multiline

public static DebugFormat multiline()

### toString

public String toString(MessageOrBuilder message)

### toString

public String toString(Descriptors.FieldDescriptor field, Object value)

### toString

public String toString(UnknownFieldSet fields)

### lazyToString

public Object lazyToString(MessageOrBuilder message)

### lazyToString

public Object lazyToString(UnknownFieldSet fields)